# Get Model Version By Alias

Launch stage: GA

`GET /api/2.1/unity-catalog/models/{full_name_arg}/aliases/{alias_arg}`

Get a model version by alias.

 The caller must be a metastore admin or an owner of (or have the **EXECUTE**
 privilege on) the registered model. For the latter case, the caller must also be the owner
 or have the **USE_CATALOG** privilege on the parent catalog and the **USE_SCHEMA** privilege
 on the parent schema.

API scopes: unity-catalog

## Path parameters

- `full_name_arg` (string, required)
  The three-level (fully qualified) name of the registered model
- `alias_arg` (string, required)
  The name of the alias

## Query parameters

- `include_aliases` (boolean, optional)
  Whether to include aliases associated with the model version in the response

## Returns

Returns the ModelVersionInfo object.

## Response

```json
{
  "model_name": "string",
  "catalog_name": "string",
  "schema_name": "string",
  "source": "string",
  "comment": "string",
  "run_id": "string",
  "run_workspace_id": 0,
  "model_version_dependencies": {
    "dependencies": [
      {}
    ]
  },
  "status": "MODEL_VERSION_STATUS_UNKNOWN",
  "version": 0,
  "storage_location": "string",
  "metastore_id": "string",
  "created_at": 0,
  "created_by": "string",
  "updated_at": 0,
  "updated_by": "string",
  "id": "string",
  "aliases": [
    {
      "alias_name": "string",
      "version_num": 0,
      "id": "string",
      "model_name": "string",
      "catalog_name": "string",
      "schema_name": "string"
    }
  ]
}
```

